Overview

SiS SATA Raid Utility

Overview

Welcome to use SiS SATA Raid Utility. This software supports the following functions:

1. Create a RAID array, including JBOD, RAID 0 and RAID 1.

2. Create a RAID 0+1 array when all four disks existing. (Only the controller 182 and 1182 support)

3. Create a RAID 5 array when equal to or above three disks existing. (Only the controller 1182 support)

4. Delete an indicated RAID array.

5. Degrade a RAID 0+1 array. (Only the controller 182 and 1182 support)

6. Display the physical device information, such as Model Name, Location, Serial Number, Capacity, Type, Status, Partition Label, 48bit support, Disk Boot ability and Device Transfer Mode.

7. Display the RAID array information, such as RAID Name, Status, Action, Capacity, Boot ability, Block Size and Partition Label.

8. Display SATA device feature supported, such as NCQ, Power Management …. etc.

9. Disable or Enable NCQ or Power Management feature for each port. (Only the controller 1184 support)

10. Port Multiplier support. (Only the controller 1184 support)

11. Duplicate all data of the source disk when creating the RAID 1 array, but source disk should not be a boot OS disk.

12. Split all data of the source disk into a RAID 0 array, but source disk should not be a boot OS disk.

13. Add one disk to broken RAID 1 array and it can reconstruct the RAID 1 array.

14. Add disks to broken RAID 0+1 array (when completed RAID 0 array existing) and it can reconstruct the RAID 0+1 array. (Only the controller 182 and 1182 support)

15. Add disks to broken RAID 5 array (when RAID 5 lost one member only) and it can reconstruct the RAID 5 array. (Only the controller 1182 support)

15. Synchronize RAID 1 array.

16. Synchronize RAID 0+1 array. (Only the controller 182 and 1182 support)

To run this software, click the program icon in your program folder in Start -> Programs -> SiS Raid Utility. The main window has three tabs: Device Information View, Create Raid and Delete/Rebuild Raid. You can switch screens by clicking on the different tabs. The Device Information View window is the first screen by default. You can use the following information to learn more about this software.

Device Information View, Safe Remove, NCQ or Power Management Enabling and Re-enumerate Port Multiplier

Create a Raid array

Delete a Raid array

Rebuild a Broken RAID 1(Mirror) / RAID 0+1 / RAID 5 array

Synchronize RAID 1(Mirror) / RAID 0+1 array


新增網頁1

Device/RAID/SATA-Feature Information View

After running the SiS RAID Utility application, the main window appears. It has three tabs: Device Information View, Create Raid and Delete/Rebuild Raid. And the Device Information View window is the default screen in it. All devices that the system auto-detected will show on the tree-view control box (DEVICE DISTRIBUTION) on the left of this window, and those information will be displayed on the list control box (INFORMATION DISTRIBUTION) on the right of this window. On the DEVICE DISTRIBUTION, it has three radio-button controls: Physical Device View, Raid Array View and SATA Device Feature Supported View. The default information will show the physical device Information view about the first device on the first controller. You can select another controller by changing the adapter combo or switch the radio-button controls to change physical device view, raid array view or SATA device feature supported view. You can also get another device's/Raid’s information by clicking the device/Raid name on the tree-view control box. And the light bar will be moved on the selected object.

Safe Remove

Only support for SINGLE SATA Disk. You must select the radio-button control as Physical Device View and select one single HDD on the tree-view control box. After clicking Safe Remove button, you can feel relieved to remove the selected hard disk if the message “Safe Remove Disk Success. Take your ease to remove this disk.” occurred. “Safe Remove” may fail when you are opening any one partition of the selected hard disk.

Enable/Disable Native Command Queue or Power Management feature

You can enable or disable “Native Command Queue” and “Power Management” functions by clicking the button Change Setting in the underside of the Device Information View page. After clicking the button, the SATA II Feature Setting dialog would pop up. It has two radio-button controls: Port 1 and Port 2. Select any one radio-button control to view whether Port Multiplier Attached or not and Subport Numbers. After selecting one port, the default setting about NCQ and Power Management would show on the dialog. You can change its setting for your thinking by selecting Enable or Disable radio-button controls. Finally, click OK button and all of your new setting would be achieved.

Re – enumerate Port Multiplier

Previous port multiplier may not support auto re-enumerate ability. So, if you find the device won’t refresh automatically when it plugged in/out form port multiplier. You must re-enumerate port multiplier by yourself. Select the port radio-button control which the plugged device belonged to and click Re-enumerate Port Multiplier button.


Create a Raid array

Click the tab Create Raid. The descriptions for all elements of this page show below:

Raid Type: There are five array types that you can select: JBOD, RAID 0(Stripe), RAID 1(Mirror), RAID 0+1 and RAID 5. The default raid type is JBOD. RAID 0+1 and RAID 5 array types would auto-hidden when disk numbers is not enough to create them.

Block Size: If you selected RAID 0(Stripe) or RAID 0+1 array types in the Raid Type drop-down box, the Block Size drop-down box will be enabled and you must select a block size. Clicking the drop-down box Block Size, there are five block size that you can select: 16k, 32k, 64k, 128k and 256k. You can select any one block size or use the default value to create a RAID 0 or RAID 0+1 set. The default selection is 64k.

Raid Name: The name is auto-got by the application. This is your disk name on the Device management in the OS.

Create Option: Two radio-button controls can be selected for RAID 0(Stripe) and RAID 1(Mirror) array. Those descriptions show below:

[Create Only]: Create RAID 0(Stripe) or RAID 1(Mirror) array without reserving all data of all selected disks.

[Create and Duplicate for DATA disk]: Create RAID 1(Mirror) array with reserving all data of the selected source disk.

[Create and Split for DATA disk]: Create RAID 0(Stripe) array with reserving all data of the selected source disk.

Available Disks: This pane will list out all the disks that can be used to create a RAID set currently.

Selected Disks: It includes two panes: Source Disk and Destination Disks. The Source Disk pane will list out the disk selected first and the other selected disks would show on the Destination Disks pane. You can highlight the specific disk in the Available Disks pane and click the ADD>> button or double click the marked disk to select that disk into the Selected Disks pane. In the same way, you can click the <<REMOVE button or double click the disk you might select wrong in the Selected Disks to go back to the Available Disks pane.

Disk Information: Select one disk on the Available Disks or Selected Disks pane and the disk information would show. Including of Disk Location, Disk Capacity and Disk boot capability.

To create any kind of Raid set, you can use the following topic to learn the creating steps.

JBOD (Span)

RAID 0 (Stripe)

RAID 1 (Mirror)

RAID 0+1 (Stripe - Mirror)

RAID 5


JBOD

JBOD (Span)

Several hard disk types configured as a single hard disk.

This expands the capacity of your drive and results in a useable total capacity.

The steps of creating a JBOD array

1. From the drop-down box Raid Type, select the array type to JBOD.

Create Raid → Raid Type → JBOD

2. From the Available Disks pane, select the disks you want to add. At least two hard drivers are required.

3. Click CREATE button.

4. Then a Confirming Message dialog would be popup. Pay attention to the warning messages, and you have two choices: Yes and No.

After Yes button clicking, it means that the RAID set is created. Application would refresh all disks in the adapter controller and new disk information would show on it.

After No button clicking, all selection would be canceled and Create Raid page would return to default setting.


RAID 0

RAID 0 (Stripe)

All of the data are distributed evenly to all of the existing drives.

This can make higher performance but has high risks of data security

The steps of creating a RAID 0 array

1. From the drop-down box Raid Type, select the array type to RAID 0.

Create Raid → Raid Type → RAID 0

2. From the drop-down box Block Size, select the block size you want. The default setting is 64K.

3. From the Create Option, select one option you want from For Raid 0 (Stripe).

4. From the Available Disks pane, select the disks you want to add. At least two hard drivers are required.

5. Click CREATE button. It had two results for [Create Only] and [Create and Split for DATA disk] options.

6. After CREATE button clicking, a Confirming Message dialog would be popup. Pay attention to the warning messages, and you can click Yes button to continue or click No button to cancel this action.

7. For [Create Only] option, the following is two results by Yes and No button selecting.

After Yes button clicking, it means that the RAID 0 (Stripe) array is created. Application would refresh all disks in the adapter controller and new disk information would show on it.

After No button clicking, all selection would be canceled and Create Raid page would return to default setting.

8. For [Create and Split for DATA disk] option, the following is two results by Yes and No button selecting.

After Yes button clicking, a Stripe Splitting Dialog would be popup.

After No button clicking, all selection would be canceled and Create Raid page would return to default setting.

9. About Stripe Splitting Dialog, please see the descriptions of the dialog showed below:

Source: [Source Disk] of [Selected Disks] in the Create Raid page.

Target: [Destination Disks] of [Selected Disks] in the Create Raid page.

<Disk Copy Remaining Sector>: Show the copying capacity remainder.

START: Start the stripe splitting.

10. Click START button. Then a Confirming Message dialog would be popup. Click Yes button to start stripe splitting action or click No button to cancel stripe splitting action.


RAID 1

RAID 1 (Mirror)

Data is written to two drives synchronously. That is, 100% duplication of data from one drive to another.

The goal of RAID 1 is to ensure data security.

The steps of creating a RAID 1 array

1. From the drop-down box Raid Type, select the array type to RAID 1.

Create Raid → Raid Type → RAID 1

2. From the Create Option, select one option you want from For Raid 1 (Mirror).

3. From the Available Disks pane, select the disks you want to add. Only two hard drivers are supported.

4. Click CREATE button. It had two results for [Create Only] and [Create and Duplicate for DATA disk] options.

5. After CREATE button clicking, a Confirming Message dialog would be popup. Pay attention to the warning messages, and you can click Yes button to continue or click No button to cancel this action.

6. For [Create Only] option, the following is two results by Yes and No button selecting.

After Yes button clicking, it means that the RAID 1 (Mirror) array is created. Application would refresh all disks in the adapter controller and new disk information would show on it.

After No button clicking, all selection would be canceled and Create Raid page would return to default setting.

7. For [Create and Duplicate for DATA disk] option, the following is two results by Yes and No button selecting.

After Yes button clicking, a Mirror Duplicating Dialog would be popup.

After No button clicking, all selection would be canceled and Create Raid page would return to default setting.

8. About Mirror Duplicating Dialog, please see the descriptions of the dialog showed below:

Source: [Source Disk] of [Selected Disks] in the Create Raid page.

Target: [Destination Disks] of [Selected Disks] in the Create Raid page.

<Disk Copy Remaining Sector>: Show the copying capacity remainder.

START: Start the stripe splitting.

9. Click START button. Then a Confirming Message dialog would be popup. Click Yes button to start mirror duplicating action or click No button to cancel mirror duplicating action.


JBOD

RAID 0+1 (Stripe - Mirror)

This is a combination of RAID 0 and RAID 1. Data is striped into two drives then mirrored.

It provides high performance and high data protection.

The steps of creating a RAID 0+1 array

1. From the drop-down box Raid Type, select the array type to RAID 0+1 (Stripe-Mirror).

Create Raid → Raid Type → RAID 0+1 (Stripe-Mirror)

2. From the Available Disks pane, select the disks you want to add. Four hard drivers are required.

3. Click CREATE button.

4. Then a Confirming Message dialog would be popup. Pay attention to the warning messages, and you have two choices: Yes and No.

After Yes button clicking, it means that the RAID set is created. Application would refresh all disks in the adapter controller and new disk information would show on it.

After No button clicking, all selection would be canceled and Create Raid page would return to default setting.


JBOD

RAID 5

Including a rotating parity array and all read and write operations can be overlapped.

This expands the capacity of your drive and can be recovery when one member of RAID 5 lost.

The steps of creating a RAID 5 array

1. From the drop-down box Raid Type, select the array type to RAID 5.

Create Raid → Raid Type → RAID 5

2. From the Available Disks pane, select the disks you want to add. At least three hard drivers are required.

3. Click CREATE button.

4. Then a Confirming Message dialog would be popup. Pay attention to the warning messages, and you have two choices: Yes and No.

After Yes button clicking, it means that the RAID set is created. Application would refresh all disks in the adapter controller and new disk information would show on it.

After No button clicking, all selection would be canceled and Create Raid page would return to default setting.


Delete a Raid array

Delete or Rebuild a Raid array

Click the tab Delete/Rebuild Raid. The descriptions for all elements of this page show below:

Existing Raid Array: This pane will list out all the arrays currently in this adapter controller.

Array Detail Information: Show some array information: Status, Capacity, Boot ability, Block Size, Completed Raid 0 existing and Raid Members.

Rebuild: Use to recovery broken RAID 1 (Mirror) or RAID 0+1 array.

Delete/Degrade: Use to delete JBOD, RAID 0 (Stripe), RAID 1 (Mirror), RAID 0+1 and RAID 5 and to degrade RAID 0+1.

To delete or rebuild a Raid array, you can use the following topic to learn the steps.

Delete JBOD, RAID0, RAID 1 and RAID 5

Delete/Degrade RAID 0+1

Rebuild RAID 1, RAID 0+1 or RAID 5


Delete JBOD, RAID0 or RAID1

Delete JBOD, RAID 0 (Stripe), RAID 1 (Mirror) or RAID 5

1. Highlight the raid array in the Existing Raid Array pane, and then click the button Delete/Degrade. Besides, you can get some array information showing on Array Detail Information.

2. Then a Confirming Message dialog would be popup, and pay attention to the warning message. You can click Yes button to delete the selected raid array or click No button to cancel this action.

3. After Yes button clicking, it means that the selected RAID set is deleted. Application would refresh all disks in the adapter controller and new disk information would show on it


Delete RAID0+1

Delete/Degrade RAID 0+1

1. Highlight the raid array in the Existing Raid Array pane, and you can get some array information showing on Array Detail Information.

2. From [Special delete option for RAID 0+1], select one option to delete or degrade RAID 0+1 array.

3. Click Delete / Degrade button to delete or degrade RAID 0+1 array.

4. Then a Confirming Message dialog would be popup, and pay attention to the warning message. You can click Yes button to delete/degrade the RAID 0+1 array or click No button to cancel this action.

5. After Yes button clicking, it means that the selected RAID 0+1 set is deleted/degraded. Application would refresh all disks in the adapter controller and new disk information would show on it


Recovery an error Raid array

Rebuild a broken RAID 1 (Mirror) / RAID 0+1 / RAID 5

The rebuilding operation is workable only when broken RAID 1, RAID 0+1 or RAID 5 set exist.

Broken RAID 0+1 must exist one completed RAID 0 set.

Broken RAID 5 only can lose one member.

The steps of rebuilding a broken RAID 1 (Mirror) / RAID 0+1 / RAID 5

1. Highlight the broken RAID 1 (Mirror) / RAID 0+1 / RAID 5 in the Existing Raid Array pane, and then click the button Rebuild.

2. Then a Broken Raid Rebuild dialog would be popup.

3. About Broken Raid Rebuild, please see the descriptions of the dialog showed below:

Available single disk: List out all single disks of this adapter controller.

Selected to rebuild disk: List out all selected disks from Available single disk pane.

Add: Using to move disk from Available single disk to Selected to rebuild disk.

Remove: Using to move disk from Selected to rebuild disk to Available single disk.

<Note>: Show that how many disks to need and how many rebuild capacity.

<Disk Copy Remaining Sector>: Show the copying capacity remainder.

START: Start the stripe splitting.

4. Highlight one single disk in the Available single disk pane and click Add button or double click the disk to move it to Selected to rebuild disk.

5. Click START button. Then a Confirming Message dialog would be popup. Click Yes button to start rebuilding action or click No button to cancel rebuilding action.


Recovery an error Raid array

Synchronize RAID 1 (Mirror) / RAID 0+1

The synchronizing operation is workable only when non-sync RAID 1 or RAID 0+1 set exist.

When one of the RAID 1 or RAID 0+1 array member ever plugged out in the OS, the non-sync mark would be recorded in the other member(s) of the same RAID 1 or RAID 0+1 array.

After the plugged-out HDD plugging in again, the Non-Sync Raid Sets Option dialog would be popup.

The steps of synchronizing a non-sync RAID 1 (Mirror) / RAID 0+1

1. About Non-Sync Raid Sets Option, please see the descriptions of the dialog showed below:

Non-Sync Raid Array: List out all non-sync raid arrays.

Non-Sync Raid Array Disk members: List out all composed members of selected non-sync raid array.

Modifying options for non-sync raid array: Three radio button selections, including degrade, clear and synchronize.

OK: Execute selected option.

2. Then a Confirming Message dialog would be popup. You can click Yes to continue action or No to cancel.

3. After Yes selecting, the Non-Synchronized ’Mirror (RAID 1)’ / ‘RAID 0+1’ synchronizing dialog would be popup.

4. About Non-Synchronized ’Mirror (RAID 1)’ / ‘RAID 0+1’ synchronizing, please see the descriptions of the dialog showed below:

Non-Synchronized ’Mirror (RAID 1)’ / ‘RAID 0+1’ disk members: List out all disk members of this non-sync array, including Source and Target.

Exchange Source disk and Target disk: Click Combination 1 to exchange Source 1 and Target 1, the same as Combination 2.

START: Start the synchronizing.


Glossary

RAID (Redundant Array of Independent Disk Drives)

Use jointly several hard drives to increase data transfer rates and data security. It depends on the number of drives present and RAID function you select to fulfill the security or performance purposes or both.

RAID 0 (Stripe)

All of the data are distributed evenly to all of the existing drives. You gain benefits on performance because the data transfer rate is multiplied by the number of drives. However, RAID 0 has high risks of data security. All of the stored data will be lost if even any one drive in the RAID set crashes.

RAID 1 (Mirror)

Two hard drives are required. The goal of RAID 1 is to ensure data security. Data is written to two or more drives synchronously. That is, 100% duplication of data from one drive to another.

JBOD (Spanning) (Just a Bunch of Drives)

Two or more hard drives are required. Several hard disk types configured as a single hard disk. The hard drives are simply hooked up in series. This expands the capacity of your drive and results in a useable total capacity. However, JBOD will not increase any performance or data security.

RAID 0+1 (Stripe-Mirror)

Four hard drivers are required. RAID 0+1 is a combination of RAID 0 and RAID 1. Data is striped into two drives then mirrored. It provides high performance and high data protection. This is a costly solution as RAID 1 because the two mirrored drives represent an expensive insurance.

RAID 5

At least three hard drivers are required. This type includes a rotating parity array and all read and write data can be overlapped. Data is striped into (n-1) drives. It provides high capacity and high data restored. If one member of the RAID 5 array lost, find one single HDD and can rebuild RAID 5 array.